#
# Copyright (c) 2015-2022 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

"""PyAMS_*** module

"""

__docformat__ = 'restructuredtext'

from pyams_almond_theme.layer import IPyAMSAlmondLayer
from pyams_default_theme.component.paragraph.keypoint import KeypointsParagraphDefaultRenderer
from pyams_template.template import override_template


override_template(context=KeypointsParagraphDefaultRenderer,
                  template='templates/keypoints-default.pt',
                  layer=IPyAMSAlmondLayer)
